<div class="ui grid">
    <div class="four wide column">
        <div class="ui card">
            
            <div class="ui dimmer" [ngClass]="{active: shouldDisplayUserForm}">
                <div class="ui text loader">Loading...</div>
            </div>


            <div class="ui image" >
                <img  [src]="getProfilePicture()" onerror="this.onerror=null; this.src='assets/cooking.png'" width="70%" alt="User's profile picture">
            </div>

            <div class="content">
                    <p class="header"> {{user?.username}} </p>
                    <p class="description">{{user?.name}}</p>
                    <p class="description">{{user?.surname}}</p>
                    <p class="description">{{user?.email}}</p>
            </div>    
        </div>
    </div>

    <div class="twelve wide column">
        <button class="ui button" (click)="onChangeInfo()"*ngIf="!shouldDisplayUserForm" > Change profile info </button>
        
        <form class="ui form" [formGroup]="userForm" (ngSubmit)="onUserFormSubmit()" *ngIf="shouldDisplayUserForm; else changeUserInfo">
            
            <label>Name</label>
            <input type="text" formControlName="name" [(ngModel)]="user!.name" />
            <label>Surname</label>
            <input type="text" formControlName="surname" [(ngModel)]="user!.surname"/>

            <label>Email</label>
            <input type="email" formControlName="email" [(ngModel)]="user!.email"/>

            <div class="form-group">
                <label>Choose file:</label>
                <input type="file" formControlName="imgUrl" (change)="onFileChange($event)">
            </div>

            <button class="ui button" type="submit">Save changes</button>
        </form>

        <ng-template #changeUserInfo>
            <p> Click above to change user info.</p>
        </ng-template>
    </div>

</div>

